Skip to main content
PUT
/
resellers
/
custodians
/
{custodianId}
/
activate
Activate a sub-custodian
curl --request PUT \
  --url https://api.portalhq.io/api/v3/resellers/custodians/{custodianId}/activate \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.portalhq.io/api/v3/resellers/custodians/{custodianId}/activate"

headers = {"Authorization": "Bearer <token>"}

response = requests.put(url, headers=headers)

print(response.text)
const options = {method: 'PUT', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.portalhq.io/api/v3/resellers/custodians/{custodianId}/activate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "custodian_123",
  "name": "Acme Payments",
  "slug": "acme-payments",
  "billingStatus": "ACTIVE",
  "isReseller": false,
  "resellerParentId": "reseller_custodian_123",
  "sessionTokensEnabled": true,
  "createdAt": "2026-07-08T18:00:00.000Z",
  "updatedAt": "2026-07-08T18:20:00.000Z"
}
{
"error": "<string>"
}
{
"error": "<string>"
}
{
"error": "<string>"
}

Authorizations

Authorization
string
header
required

Reseller API key created in the Portal dashboard.

Path Parameters

custodianId
string
required

The ID of a sub-custodian owned by the authenticated reseller.

Response

Sub-custodian activated successfully

id
string
name
string
slug
string
billingStatus
enum<string>
Available options:
ACTIVE,
HACKATHON,
INACTIVE,
INTERNAL,
SUSPENDED,
TRIAL
isReseller
boolean
resellerParentId
string | null
sessionTokensEnabled
boolean
createdAt
string<date-time>
updatedAt
string<date-time>
billingPlan
object
environments
object[]
users
object[]
apiKeys
object[]